diff options
author | Karl Berry <karl@freefriends.org> | 2020-03-10 16:46:34 +0000 |
---|---|---|
committer | Karl Berry <karl@freefriends.org> | 2020-03-10 16:46:34 +0000 |
commit | af446d36b33df852f2be14288d1ebabfcade3116 (patch) | |
tree | 07939227f611041976906de0005a0faba5348dbe /Master/tlpkg/bin/tl-update-tlnet | |
parent | 4480b9200dc29547866e0908e9326eb512b273db (diff) |
tl-update-install-pkg,
tl-update-containers: mostly use $prg (basename) instead of $0.
tl-update-tlnet: new option --no-install-pkg for use when updating
frozen release after moving to pretest.
git-svn-id: svn://tug.org/texlive/trunk@54221 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-tlnet')
-rwxr-xr-x | Master/tlpkg/bin/tl-update-tlnet | 28 |
1 files changed, 20 insertions, 8 deletions
diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet index c9d4474d076..2f244d4f254 100755 --- a/Master/tlpkg/bin/tl-update-tlnet +++ b/Master/tlpkg/bin/tl-update-tlnet @@ -23,6 +23,7 @@ recreate= scheme=full testinstall=true tlweb=/home/ftp/texlive/tlnet +update_install_pkg=true verbose= gpgcmd= @@ -34,6 +35,7 @@ while test $# -gt 0; do --gpgcmd) shift; gpgcmd="--gpgcmd \"$1\"";; --master) shift; Master=$1;; --no-consistency) check_consistency=false;; # takes a long time. + --no-install-pkg) update_install_pkg=false;;# trunk update after freeze --no-testinstall|-N) testinstall=false;; # and no updates; quit early. --pretest) tlweb=/home/ftp/texlive/tlpretest;; --recreate) recreate=--recreate;; @@ -86,6 +88,9 @@ cp --force --backup $tlweb/tlpkg/texlive.tlpdb* /tmp # Be sure we're starting the test cleanly. rm -rf $tltrybase mkdir -p $tltry + +# Keep new directory group-writable to texlive so MacTeX maintainer +# can update it too. chmod g+ws $tltry chgrp texlive $tltry || : # in case of strange system @@ -118,14 +123,21 @@ if $containers_invoke; then :; else exit 1 fi -# It is scary, but I guess we should update the installer package every -# day, partly for the sake of doc.html and partly so it actually gets -# tested. Hopefully we don't break the Perl modules very often. -echo "$0: Updating install pkg with" -echo "$0: $update_install_invoke" -if $update_install_invoke; then :; else - echo "$0: tl-update-install-pkg failed, goodbye." >&2 - exit 1 +# We don't want to update the install packages if we're updating the +# "frozen" release (tlnet-final) after we've moved on to the pretest. +# See tlpkg/doc/releng.txt. +if $update_install_pkg; then + # It is scary, but I guess we should update the installer package every + # day, partly for the sake of doc.html and partly so it actually gets + # tested. Hopefully we don't break the Perl modules very often. + echo "$0: Updating install pkg with" + echo "$0: $update_install_invoke" + if $update_install_invoke; then :; else + echo "$0: tl-update-install-pkg failed, goodbye." >&2 + exit 1 + fi +else + : fi END_COW |